Bug 149348 - gij fails due to non-executable memory issue
gij fails due to non-executable memory issue
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gcc34 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-22 12:13 EST by Andrew Overholt
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 3.4.3-20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-23 09:42:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Overholt 2005-02-22 12:13:05 EST
Description of problem:
Just as with gcc head, gij fails as in:

http://gcc.gnu.org/bugzilla/show_bug.cgi?id=19823

Version-Release number of selected component (if applicable):
gcc-java-3.4.3-19

How reproducible:
Always

Steps to Reproduce:
1. Input HelloWorld like so:
public class HelloWorld {
    public static void main(String[] args) {
        System.out.println("Hello, world.");
    }
}
2. gcj -C HelloWorld.java
3. gij HelloWorld
  
Actual results:
Exception in thread "main" java.lang.NullPointerException
   at gnu.gcj.runtime.FirstThread.call_main() (/usr/lib/libgcj.so.5.0.0)
   at gnu.gcj.runtime.FirstThread.run() (/usr/lib/libgcj.so.5.0.0)
   at _Jv_ThreadRun(java.lang.Thread) (/usr/lib/libgcj.so.5.0.0)
   at _Jv_RunMain(java.lang.Class, byte const, int, byte const,
boolean) (/usr/lib/libgcj.so.5.0.0)
   at __libc_start_main (/lib/tls/libc-2.3.4.so)

Expected results:
Hello, world.

Additional info:
I believe Bryce McKinlay is working on back-porting the gcc head fix
to the gcc34 branch.
Comment 1 Jakub Jelinek 2005-02-22 12:14:43 EST
I have it backported, just haven't built the packages yet.
Comment 2 Andrew Overholt 2005-02-22 12:21:07 EST
Cool.  I'd like to build a new version of gjdoc (an actual released non-beta
version this time) and that depends upon this.  It's not a huge deal, though.

BTW, will you apply your backported fix to upstream as well?
Comment 3 Bryce McKinlay 2005-02-22 20:06:19 EST
FYI I have checked in the patch to the upstream gcc 3.4-branch
Comment 4 Jakub Jelinek 2005-02-23 09:42:42 EST
Should be fixed in gcc-3.4.3-20.
Comment 5 Tim Powers 2005-06-09 06:57:41 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-257.html

Note You need to log in before you can comment on or make changes to this bug.